Bug 33034 - GetRecentEvents return type
Summary: GetRecentEvents return type
Status: RESOLVED FIXED
Alias: None
Product: Telepathy
Classification: Unclassified
Component: logger (show other bugs)
Version: git master
Hardware: Other All
: medium normal
Assignee: Nicolas Dufresne
QA Contact: Telepathy bugs list
URL:
Whiteboard: review+
Keywords:
Depends on:
Blocks: 27271
  Show dependency treegraph
 
Reported: 2011-01-12 09:47 UTC by Emilio Pozuelo Monfort
Modified: 2011-02-11 03:56 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emilio Pozuelo Monfort 2011-01-12 09:47:48 UTC
When doing the log-manager refactoring to make the API generic and not text-centric, I renamed GetRecentMessages to GetRecentEvents and added a FIXME note to reconsider the return type to something better.

We should think if that's fine or not, having in mind that when we add more TplEvent* in the future they should fit in GetRecentEvents' return type.
Comment 1 Nicolas Dufresne 2011-02-10 09:42:50 UTC
As this is completly unused, I would be in favor of removing it as long with search_in_identifier, work in:

http://git.collabora.co.uk/?p=user/nicolas/telepathy-logger.git;a=shortlog;h=refs/heads/remove-unused (the two last)
Comment 2 Emilio Pozuelo Monfort 2011-02-10 11:08:23 UTC
I love removing code.
Comment 3 Nicolas Dufresne 2011-02-11 03:56:38 UTC
Pushed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.